### Function

# WebKitWebProcessExtension WebProcessExtensionInitializeWithUserDataFunction

#### Declaration

    void
    (* WebKitWebProcessExtensionInitializeWithUserDataFunction) (
      WebKitWebProcessExtension* extension,
      const GVariant* user_data
    )

#### Description [src]

Type definition for a function that will be called to initialize the web extensions when the web process starts, and which receives as additional argument the user data set with webkit_web_context_set_web_process_extensions_initialization_user_data().

Available since: | 2.40

#### Parameters

`extension` | `WebKitWebProcessExtension`
| A `WebKitWebProcessExtension`.
| The data is owned by the caller of the function.
`user_data` | `GVariant`
| A `GVariant`.
| The data is owned by the caller of the function.